summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2020-06-13 06:05:46 +0200
committer Willy Sudiarto Raharjo2020-06-14 12:45:43 +0200
commit60e4bf35a215f1100742a5f54f4765ad230952a6 (patch)
tree87b2978f9e0fcd526309c71893ebed7e9396903e
parent471accae93a44972ba59a9e04623370a29b8165a (diff)
downloadslackbuilds-60e4bf35a215f1100742a5f54f4765ad230952a6.tar.gz
desktop/wmsupermon: Added (monitoring dockapp for WindowMaker)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/wmsupermon/README26
-rw-r--r--desktop/wmsupermon/example-wmsupermonrc-cputemponly8
-rw-r--r--desktop/wmsupermon/exampleconfig.diff18
-rw-r--r--desktop/wmsupermon/slack-desc19
-rw-r--r--desktop/wmsupermon/wmsupermon.SlackBuild78
-rw-r--r--desktop/wmsupermon/wmsupermon.info10
6 files changed, 159 insertions, 0 deletions
diff --git a/desktop/wmsupermon/README b/desktop/wmsupermon/README
new file mode 100644
index 0000000000..88ea9aa704
--- /dev/null
+++ b/desktop/wmsupermon/README
@@ -0,0 +1,26 @@
+wmsupermon (universal monitoring dockapp for WindowMaker)
+
+wmsupermon is a highly configurable dockapp that can monitor almost any
+system statistic you can think of.
+
+Examples:
+
+ 1. CPU usage
+ 2. disk i/o
+ 3. memory
+ 4. swap
+ 5. filesystems - space utilization
+ 6. network traffic
+ 7. wireless link quality
+ 8. CPU frequency
+ 9. CPU temperature, fan speed, voltages (no lm_sensors required!)
+10. battery status (with actual - not guessed - discharge rate!)
+11. traffic from your router
+12. anything else :)
+
+The dockapp is configured via ~/.wmsupermonrc file, which specifies what
+to monitor and how to present the results.
+
+*** NOTE: Installing this package does NOT create a config file.
+You will have to create one before the dockapp will start. See README
+and example-wmsupermonrc in /usr/doc/wmsupermon-1.2.2 for details.
diff --git a/desktop/wmsupermon/example-wmsupermonrc-cputemponly b/desktop/wmsupermon/example-wmsupermonrc-cputemponly
new file mode 100644
index 0000000000..dd848dbc5a
--- /dev/null
+++ b/desktop/wmsupermon/example-wmsupermonrc-cputemponly
@@ -0,0 +1,8 @@
+[tmp]
+Source = /sys/class/hwmon/hwmon0/temp1_input
+Scale = 1000
+Range = 37 .. 70
+
+[[wmsupermon]]
+tmp = number -label
+tmp = graph
diff --git a/desktop/wmsupermon/exampleconfig.diff b/desktop/wmsupermon/exampleconfig.diff
new file mode 100644
index 0000000000..6df959d5ad
--- /dev/null
+++ b/desktop/wmsupermon/exampleconfig.diff
@@ -0,0 +1,18 @@
+diff -Naur dockapps-c2fa6a3/example-wmsupermonrc dockapps-c2fa6a3.patched/example-wmsupermonrc
+--- dockapps-c2fa6a3/example-wmsupermonrc 2016-08-03 20:18:50.000000000 -0400
++++ dockapps-c2fa6a3.patched/example-wmsupermonrc 2020-06-10 02:10:51.872534759 -0400
+@@ -30,11 +30,11 @@
+ Source = /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
+ Scale = 1000
+
+-# temperature from the second sensor (cpu temperature on my motherboard)
++# temperature from the first sensor (cpu temperature on my motherboard)
+ [Tem]
+-Source = /sys/bus/i2c/drivers/w83627hf/9191-0290/temp2_input
++Source = /sys/class/hwmon/hwmon0/temp1_input
+ Scale = 1000
+-Range = 37 .. 55
++Range = 37 .. 75
+
+ # second fan speed (cpu fan on my motherboard)
+ [fan]
diff --git a/desktop/wmsupermon/slack-desc b/desktop/wmsupermon/slack-desc
new file mode 100644
index 0000000000..a0d85f0b9c
--- /dev/null
+++ b/desktop/wmsupermon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmsupermon: wmsupermon (universal monitoring dockapp for WindowMaker)
+wmsupermon:
+wmsupermon: wmsupermon is a highly configurable dockapp that can monitor almost
+wmsupermon: any system statistic you can think of.
+wmsupermon:
+wmsupermon:
+wmsupermon:
+wmsupermon:
+wmsupermon:
+wmsupermon:
+wmsupermon:
diff --git a/desktop/wmsupermon/wmsupermon.SlackBuild b/desktop/wmsupermon/wmsupermon.SlackBuild
new file mode 100644
index 0000000000..8acb0d272d
--- /dev/null
+++ b/desktop/wmsupermon/wmsupermon.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for wmsupermon
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=wmsupermon
+VERSION=${VERSION:-1.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+# top-level dir doesn't match tarball filename, so:
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd */
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# adjust the sensor path in the example config file.
+patch -p1 < $CWD/exampleconfig.diff
+
+# fix the config filename in the README, this caused me some grief.
+sed -i 's,~/\.wmsupermon,&rc,' README
+
+make FLAGS="$SLKCFLAGS"
+mkdir -p $PKG/usr/bin
+install -s -m0755 -oroot -groot $PRGNAM $PKG/usr/bin
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a example-wmsupermonrc COPYING ChangeLog README TODO $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+# include a simpler example config file, which I actually use.
+install -oroot -groot -m0644 $CWD/example-wmsupermonrc-cputemponly $PKGDOC
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmsupermon/wmsupermon.info b/desktop/wmsupermon/wmsupermon.info
new file mode 100644
index 0000000000..f2b99a16ba
--- /dev/null
+++ b/desktop/wmsupermon/wmsupermon.info
@@ -0,0 +1,10 @@
+PRGNAM="wmsupermon"
+VERSION="1.2.2"
+HOMEPAGE="https://www.dockapps.net/wmsupermon"
+DOWNLOAD="https://www.dockapps.net/download/wmsupermon-1.2.2.tar.gz"
+MD5SUM="b0cd98755ca35b9c62dae799a9a465ff"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"